Package org.eclipse.ecf.discovery.service

## Interface IDiscoveryService

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IDiscoveryAdvertiser`, `IDiscoveryContainerAdapter`, `IDiscoveryLocator`

All Known Implementing Classes:
  `JSLPDiscoveryContainer`

    public interface IDiscoveryService
    extends IDiscoveryContainerAdapter

Deprecated.
use IDiscoveryLocator and IDiscoveryContainer instead
OSGI discovery service interface. This interface should be registered by providers when they wish to expose discovery services to OSGI service clients.

### Field Summary

Fields
`static String` `CONTAINER_ID` Deprecated.
`static String` `CONTAINER_NAME` Deprecated. The name of the discovery container under which it is registered with the OSGi runtime as a `Properties`

### Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.discovery.IDiscoveryAdvertiser

`getServicesNamespace, registerService, unregisterAllServices, unregisterService`

### Methods inherited from interface org.eclipse.ecf.discovery.IDiscoveryLocator

`addServiceListener, addServiceListener, addServiceTypeListener, getAsyncServiceInfo, getAsyncServices, getAsyncServices, getAsyncServiceTypes, getServiceInfo, getServices, getServices, getServicesNamespace, getServiceTypes, purgeCache, removeServiceListener, removeServiceListener, removeServiceTypeListener`

### Field Detail

#### CONTAINER_ID

    static final String CONTAINER_ID

Deprecated.

See Also:
  Constant Field Values

#### CONTAINER_NAME

    static final String CONTAINER_NAME

Deprecated.
The name of the discovery container under which it is registered with the OSGi runtime as a `Properties`

Since:
  2.1
See Also:
  Constant Field Values